commit:     1a38011af7c95717f25b7505a61b868773247ab1
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Tue Jan 14 03:14:03 2020 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Tue Jan 14 03:53:13 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=1a38011a

xfce-base/libxfce4util: Bump to 4.15.0

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 xfce-base/libxfce4util/Manifest                   |  1 +
 xfce-base/libxfce4util/libxfce4util-4.15.0.ebuild | 46 +++++++++++++++++++++++
 2 files changed, 47 insertions(+)

diff --git a/xfce-base/libxfce4util/Manifest b/xfce-base/libxfce4util/Manifest
index b399068b9ff..a8b7c90ede6 100644
--- a/xfce-base/libxfce4util/Manifest
+++ b/xfce-base/libxfce4util/Manifest
@@ -1 +1,2 @@
 DIST libxfce4util-4.14.0.tar.bz2 516358 BLAKE2B 
d8e3d1e3247e23908456aa296415240c1a9146001a02cb859541922ee541e30955279fd68f2d9938e43f992a5115b21836363fa8d8234de87fca0bbaac830bf0
 SHA512 
6ac95aea03052d9e2f886cbe76afe9bbb43511bf3fe1766097e10cd8762541ed17060a727df3ef93e226aae448c15d9dd3ad8acd55a9d5f2387cb360bdf72832
+DIST libxfce4util-4.15.0.tar.bz2 516074 BLAKE2B 
67ba9d34c850d057012a4a2c76acce55e3afd606ab379eadc6873a62651affd69cb5d2ecd6be5e03f11b81d7bdb9ff43e39b04886f9c2c214b898b7b0dcf6b09
 SHA512 
f47194c999d5c4b0fd44abf392ea40ea2c3f07064e15b900821e30adc58c791e533ae2df20927037bad9db5e94981621716c743522b6daad579badd0094cffaf

diff --git a/xfce-base/libxfce4util/libxfce4util-4.15.0.ebuild 
b/xfce-base/libxfce4util/libxfce4util-4.15.0.ebuild
new file mode 100644
index 00000000000..0e8c6a84310
--- /dev/null
+++ b/xfce-base/libxfce4util/libxfce4util-4.15.0.ebuild
@@ -0,0 +1,46 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit vala
+
+DESCRIPTION="A basic utility library for the Xfce desktop environment"
+HOMEPAGE="https://git.xfce.org/xfce/libxfce4util/";
+SRC_URI="https://archive.xfce.org/src/xfce/${PN}/${PV%.*}/${P}.tar.bz2";
+
+LICENSE="LGPL-2+ GPL-2+"
+SLOT="0/7"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~sh ~sparc 
~x86 ~amd64-linux ~x86-linux ~x64-solaris ~x86-solaris"
+IUSE="introspection vala"
+REQUIRED_USE="vala? ( introspection )"
+
+RDEPEND=">=dev-libs/glib-2.42
+       introspection? ( dev-libs/gobject-introspection:= )"
+DEPEND="${RDEPEND}
+       dev-util/intltool
+       dev-util/gtk-doc-am
+       sys-devel/gettext
+       virtual/pkgconfig
+       vala? ( $(vala_depend) )"
+
+src_prepare() {
+       # stupid vala.eclass...
+       default
+}
+
+src_configure() {
+       local myconf=(
+               $(use_enable introspection)
+               $(use_enable vala)
+       )
+
+       use vala && vala_src_prepare
+       econf "${myconf[@]}"
+}
+
+src_install() {
+       default
+
+       find "${D}" -name '*.la' -delete || die
+}

Reply via email to